.timeline {
  position: relative;
  padding: 3em 1em 3em;
  z-index: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.timeline::before {
  content: '';
  position: absolute;
  top: 0;
  left: 2.1em;
  height: 100%;
  width: 4px;
  z-index: -1;
}

.timeline__block {
  display: flex;
  justify-content: space-around;
  margin-bottom: 2em;
}

.timeline__icon {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  width: 2em;
  height: 2em;
  padding: 1.2em;
}

.timeline__content {
  height: 100%;
  position: relative;
  padding: 1em;
  /*margin-top: -.6em;*/
  border-radius: .4em;
  margin-left: 1em;
  margin-right: 1em;
  overflow: hidden;
  flex: 1;
}

.timeline__heading {
  margin-bottom: .4em;
}

.timeline__heading,
.timeline__text {
  padding: 0 .4em;
  font-size: .95em;
}

.timeline__text {
  margin-bottom: 2.2em;
}

.timeline__date {
  position: absolute;
  top: .9em;
  right: -3.1em;
  transform: rotate(45deg);
  font-size: .7em;
  width: 10em;
  height: 2em;
  line-height: 2em;
  vertical-align: middle;
}

.timeline__link {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: .5em;
  padding-right: 1.8em;
  text-decoration: none;
  font-size: .8em;
  text-transform: uppercase;
  text-align: right;
}

@media (min-width: 900px)
{
  .timeline::before, .timeline__icon {
    position: absolute;
    z-index: 10;
    left: calc(50% - 3px);
  }

  .timeline::before {
    width: 6px;
  }

  .timeline__icon {
    left: calc(50% - 1.2em);
    width: 2.5em;
    height: 2.5em;
    margin-top: 2em;
  }

  .timeline__block {
    width: 47%;
  }

  .timeline__block:nth-child(even) {
    align-self: flex-end;
  }

  .timeline__block:nth-child(odd) {
    text-align: right;
  }

  .timeline__block:nth-child(odd) .timeline__date {
    transform: rotate(-45deg);
    left: -3.1em;
  }
}